package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 score_user
 *
 * @author ruoyi
 * @date 2025-10-30
 */
public class ScoreUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户id */
    private Long userId;

    /** 微信id */
    @Excel(name = "微信id")
    private String openId;

    /** 昵称 */
    @Excel(name = "昵称")
    private String nickName;

    /** 用户头像 */
    @Excel(name = "用户头像")
    private String avatars;

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }

    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }

    public void setAvatars(String avatars)
    {
        this.avatars = avatars;
    }

    public String getAvatars()
    {
        return avatars;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("openId", getOpenId())
            .append("nickName", getNickName())
            .append("avatars", getAvatars())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
